regina::TorusBundle Class Reference
Standard 3-Manifolds

Represents a torus bundle over the circle. More...

`#include <manifold/torusbundle.h>`

Inheritance diagram for regina::TorusBundle:

## Public Member Functions

| TorusBundle ()
| Creates a new trivial torus bundle over the circle. More...
| TorusBundle (const Matrix2 &newMonodromy)
| Creates a new torus bundle over the circle using the given monodromy. More...
| TorusBundle (long mon00, long mon01, long mon10, long mon11)
| Creates a new torus bundle over the circle using the given monodromy. More...
| TorusBundle (const TorusBundle &cloneMe)
| Creates a clone of the given torus bundle. More...
const Matrix2 & | monodromy () const
| Returns the monodromy describing how the upper and lower torus boundaries are identified. More...
AbelianGroup * | homology () const
| Returns the first homology group of this 3-manifold, if such a routine has been implemented. More...
bool | isHyperbolic () const
| Returns whether or not this is a finite-volume hyperbolic manifold. More...
std::ostream & | writeName (std::ostream &out) const
| Writes the common name of this 3-manifold as a human-readable string to the given output stream. More...
std::ostream & | writeTeXName (std::ostream &out) const
| Writes the common name of this 3-manifold in TeX format to the given output stream. More...
std::string | name () const
| Returns the common name of this 3-manifold as a human-readable string. More...
std::string | TeXName () const
| Returns the common name of this 3-manifold in TeX format. More...
std::string | structure () const
| Returns details of the structure of this 3-manifold that might not be evident from its common name. More...
virtual Triangulation< 3 > * | construct () const
| Returns a triangulation of this 3-manifold, if such a construction has been implemented. More...
AbelianGroup * | homologyH1 () const
| Returns the first homology group of this 3-manifold, if such a routine has been implemented. More...
bool | operator< (const Manifold &compare) const
| Determines in a fairly ad-hoc fashion whether this representation of this 3-manifold is "smaller" than the given representation of the given 3-manifold. More...
virtual std::ostream & | writeStructure (std::ostream &out) const
| Writes details of the structure of this 3-manifold that might not be evident from its common name to the given output stream. More...
void | writeTextShort (std::ostream &out) const
| Writes a short text representation of this object to the given output stream. More...
void | writeTextLong (std::ostream &out) const
| Writes a detailed text representation of this object to the given output stream. More...
std::string | str () const
| Returns a short text representation of this object. More...
std::string | utf8 () const
| Returns a short text representation of this object using unicode characters. More...
std::string | detail () const
| Returns a detailed text representation of this object. More...

## Detailed Description

Represents a torus bundle over the circle.

This is expressed as the product of the torus and the interval, with the two torus boundaries identified according to some specified monodromy.

The monodromy is described by a 2-by-2 matrix M as follows. Let a and b be generating curves of the upper torus boundary, and let p and q be the corresponding curves on the lower torus boundary (so that a and p are parallel and b and q are parallel). Then we identify the torus boundaries so that, in additive terms:

        [a]       [p]
        [ ] = M * [ ]
        [b]       [q]

All optional Manifold routines except for construct() are implemented for this class.

Todo:
  Feature: Implement the == operator for finding conjugate and inverse matrices.

## Member Function Documentation

## detail()

std::string regina::Output< Manifold , false >::detail | ( |  | ) | const

inherited

Returns a detailed text representation of this object.

This text may span many lines, and should provide the user with all the information they could want. It should be human-readable, should not contain extremely long lines (which cause problems for users reading the output in a terminal), and should end with a final newline. There are no restrictions on the underlying character set.

Returns
  a detailed text representation of this object.

## str()

std::string regina::Output< Manifold , false >::str | ( |  | ) | const

inherited

Returns a short text representation of this object.

This text should be human-readable, should fit on a single line, and should not end with a newline. Where possible, it should use plain ASCII characters.

Python:\n In addition to str(), this is also used as the
  Python "stringification" function `__str__()`.

Returns
  a short text representation of this object.

## utf8()

std::string regina::Output< Manifold , false >::utf8 | ( |  | ) | const

inherited

Returns a short text representation of this object using unicode characters.

Like str(), this text should be human-readable, should fit on a single line, and should not end with a newline. In addition, it may use unicode characters to make the output more pleasant to read. This string will be encoded in UTF-8.

Returns
  a short text representation of this object.

The documentation for this class was generated from the following file:

- manifold/torusbundle.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).